Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Groovy] Class CompositeIdentity

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.CompositeIdentity

    class CompositeIdentity

Represents a composite identity, equivalent to Hibernate mapping.

Authors:
  Graeme Rocher

Since:
  1.0 Created: Sep 27, 2007

Property Summary
`java.lang.Class` | `compositeClass`
`java.lang.String` | `propertyNames`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### compositeClass

    java.lang.Class compositeClass

### propertyNames

    java.lang.String propertyNames

Groovy Documentation